Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.transforms
Class TransformSpi

    java.lang.Object
      org.apache.xml.security.transforms.TransformSpi

Direct Known Subclasses:
  TransformBase64Decode, TransformC14N, TransformC14N11, TransformC14N11_WithComments, TransformC14NExclusive, TransformC14NExclusiveWithComments, TransformC14NWithComments, TransformEnvelopedSignature, TransformXPath, TransformXPath2Filter, TransformXPointer, TransformXSLT

    public abstract class TransformSpi

extends java.lang.Object

Base class which all Transform algorithms extend. The common methods that have to be overridden are the `enginePerformTransform(XMLSignatureInput, Transform)` method.

Author:
  Christian Geuer-Pollmann

Field Summary
`protected boolean` | `secureValidation`

Constructor Summary
`TransformSpi()`

Method Summary
`protected abstract java.lang.String` | `engineGetURI()` Returns the URI representation of `Transformation algorithm`
`protected XMLSignatureInput` | `enginePerformTransform(XMLSignatureInput input)` The mega method which MUST be implemented by the Transformation Algorithm.
`protected XMLSignatureInput` | `enginePerformTransform(XMLSignatureInput input, java.io.OutputStream os, Transform transformObject)` The mega method which MUST be implemented by the Transformation Algorithm.
`protected XMLSignatureInput` | `enginePerformTransform(XMLSignatureInput input, Transform transformObject)` The mega method which MUST be implemented by the Transformation Algorithm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### secureValidation

    protected boolean secureValidation

Constructor Detail

### TransformSpi

    public TransformSpi()

Method Detail

### enginePerformTransform

    protected XMLSignatureInput enginePerformTransform(XMLSignatureInput input,
                                                       java.io.OutputStream os,
                                                       Transform transformObject)
                                                throws java.io.IOException,
                                                       CanonicalizationException,
                                                       InvalidCanonicalizerException,
                                                       TransformationException,
                                                       javax.xml.parsers.ParserConfigurationException,
                                                       org.xml.sax.SAXException

  The mega method which MUST be implemented by the Transformation Algorithm.

  Parameters:
    `input` - `XMLSignatureInput` as the input of transformation
    `os` - where to output this transformation.
    `transformObject` - the Transform object
  Returns:
    `XMLSignatureInput` as the result of transformation
  Throws:
    `CanonicalizationException`
    `java.io.IOException`
    `InvalidCanonicalizerException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `TransformationException`

### enginePerformTransform

    protected XMLSignatureInput enginePerformTransform(XMLSignatureInput input,
                                                       Transform transformObject)
                                                throws java.io.IOException,
                                                       CanonicalizationException,
                                                       InvalidCanonicalizerException,
                                                       TransformationException,
                                                       javax.xml.parsers.ParserConfigurationException,
                                                       org.xml.sax.SAXException

  The mega method which MUST be implemented by the Transformation Algorithm. In order to be compatible with preexisting Transform implementations, by default this implementation invokes the deprecated, thread-unsafe methods. Subclasses should override this with a thread-safe implementation.

  Parameters:
    `input` - `XMLSignatureInput` as the input of transformation
    `transformObject` - the Transform object
  Returns:
    `XMLSignatureInput` as the result of transformation
  Throws:
    `CanonicalizationException`
    `java.io.IOException`
    `InvalidCanonicalizerException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `TransformationException`

### enginePerformTransform

    protected XMLSignatureInput enginePerformTransform(XMLSignatureInput input)
                                                throws java.io.IOException,
                                                       CanonicalizationException,
                                                       InvalidCanonicalizerException,
                                                       TransformationException,
                                                       javax.xml.parsers.ParserConfigurationException,
                                                       org.xml.sax.SAXException

  The mega method which MUST be implemented by the Transformation Algorithm.

  Parameters:
    `input` - `XMLSignatureInput` as the input of transformation
  Returns:
    `XMLSignatureInput` as the result of transformation
  Throws:
    `CanonicalizationException`
    `java.io.IOException`
    `InvalidCanonicalizerException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `TransformationException`

### engineGetURI

    protected abstract java.lang.String engineGetURI()

  Returns the URI representation of `Transformation algorithm`

  Returns:
    the URI representation of `Transformation algorithm`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD